<ng-container *ngIf="!textForm; else elseBlock">
  <span class="text" [ngClass]="{ 'with-edit-icon': showEditIcon }">
    {{ text }}
  </span>
  <span *ngIf="showEditIcon" class="icon-wrapper" (click)="openEditMode($event)" matTooltip="Edit">
    <mat-icon inline>
      edit
    </mat-icon>
  </span>
</ng-container>
<ng-template #elseBlock>
  <form class="job-form" [formGroup]="textForm" (ngSubmit)="onSubmit($event)" (keyup.enter)="onSubmit($event)">
    <mat-form-field class="input">
      <input
        matInput
        [placeholder]="placeholder"
        formControlName="text"
        (focus)="$event.stopPropagation()"
        (click)="$event.stopPropagation()"
        (keydown)="$event.stopPropagation()"
        autofocus
      />
    </mat-form-field>
    <button mat-icon-button type="submit" class="icon-wrapper" (click)="$event.stopPropagation()">
      <mat-icon>check</mat-icon>
    </button>
  </form>
</ng-template>
